Subject: RE: CFORTRAN for cygwin/egcs?
From: "Richard Stanton" <[email-masked]>
To: "Mumit Khan" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 15 Mar 1999 17:58:15 -0800

It IS trivial to use, I've found, as long as you use version 3.5 rather than
2.8. The latter seems to be more easily found. As you say,
using -Df2cFortran, and linking with -lg2c, gets the sample program to
compile without warnings.

Thanks.

Richard Stanton

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Mumit Khan
> Sent: Monday, March 15, 1999 2:28 PM
> To: Richard Stanton
> Cc: [email-masked]
> Subject: Re: CFORTRAN for cygwin/egcs?
>
>
> On Mon, 15 Mar 1999, Richard Stanton wrote:
>
> > There's a rather useful package called CFORTRAN, that makes
> calling FORTRAN
> > subroutines from C, and vice versa, very simple, on the
> machines it knows
> > about.
> >
> > Has anyone got this working with egcs gcc/g77 under NT? If so, I'd
> > appreciate any pointers or examples you may have.
>
> Hmmm ... it's been years since I've used, but from what I remember, it
> should be pretty trivial to use with gcc/g77 on Windows32. I believe the
> magic was to define -Df2cFortran (or something like that) and the rest
> just worked.
>
> One potential gotcha, and only applicable if you're using gcc/c++ as the
> link driver instead of using g77, is that f77 runtime library
> bundled with
> g77 has been renamed from libf2c.a to libg2c.a, and so you'll need to link
> with -lg2c instead of -lf2c.
>
>
>   $ gcc -Df2cFortran -c cfile.c
>   $ g77 -c ffile.f
>   $ gcc -o mixedprog ffile.o cfile.o -lg2c
>
> What problems have you had?
>
> Mumit
>
>
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]